package com.wd.workoffice.bean.mesBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class FactoryDetailBean {


    /**
     * id : null
     * createDateTime : null
     * updateDateTime : null
     * steelWorks : {"id":"17","createDateTime":1585721646000,"updateDateTime":1587459925000,"steelmakingWorksCode":"lgc1","steelmakingWorksName":"Liangan7","annualOutput":"1111777","steelGrade":"88888777","createUserId":"398c852b38e911ea8334fa163e1166bd","createUserName":null,"updateUserId":"398c852b38e911ea8334fa163e1166bd","updateUserName":"hello","remark":null,"customerUserCode":"KN00185","delete":false}
     * steelFurnList : [{"id":"18","isDelete":null,"createDateTime":1585721646000,"updateDateTime":1587459925000,"steelmakingFurnaceCode":"lgl1","steelmakingWorksCode":"lgc1","steelmakingWorksName":"炼钢厂1","type":"888877777","capacity":"888777","createUserId":"398c852b38e911ea8334fa163e1166bd","createUserName":null,"updateUserId":"398c852b38e911ea8334fa163e1166bd","updateUserName":"hello","remark":null,"delete":null},{"id":"20","isDelete":null,"createDateTime":null,"updateDateTime":null,"steelmakingFurnaceCode":"lgl2","steelmakingWorksCode":"lgc1","steelmakingWorksName":"炼钢厂1","type":"类型1","capacity":"容量","createUserId":"","createUserName":null,"updateUserId":null,"updateUserName":null,"remark":null,"delete":null}]
     * steelRefFurnList : [{"id":"18","isDelete":null,"createDateTime":1585721646000,"updateDateTime":1587459925000,"refiningFurnaceCode":"jlu1","steelmakingWorksCode":"lgc1","steelmakingWorksName":"炼钢厂1","modelNumber":"55566777","tablesNumber":888777,"calciumTreatmentSituation":"888777","createUserId":"398c852b38e911ea8334fa163e1166bd","createUserName":null,"updateUserId":"398c852b38e911ea8334fa163e1166bd","updateUserName":"hello","remark":null,"delete":null}]
     * steelLadleList : [{"id":"17","createDateTime":1585721647000,"updateDateTime":1587459925000,"ladleCode":"gb1","steelmakingWorksCode":"lgc1","steelmakingWorksName":"炼钢厂1","capacity":"121277","temperatureRange":"141477","castingDateTime":1515777,"createUserId":"398c852b38e911ea8334fa163e1166bd","createUserName":null,"updateUserId":"398c852b38e911ea8334fa163e1166bd","updateUserName":"hello","remark":null,"delete":false}]
     * delete : null
     */

    private Object id;
    private Object createDateTime;
    private Object updateDateTime;
    private SteelWorksBean steelWorks;
    private Object delete;
    private List<SteelFurnListBean> steelFurnList;
    private List<SteelRefFurnListBean> steelRefFurnList;
    private List<SteelLadleListBean> steelLadleList;

    public Object getId() {
        return id;
    }

    public void setId(Object id) {
        this.id = id;
    }

    public Object getCreateDateTime() {
        return createDateTime;
    }

    public void setCreateDateTime(Object createDateTime) {
        this.createDateTime = createDateTime;
    }

    public Object getUpdateDateTime() {
        return updateDateTime;
    }

    public void setUpdateDateTime(Object updateDateTime) {
        this.updateDateTime = updateDateTime;
    }

    public SteelWorksBean getSteelWorks() {
        return steelWorks;
    }

    public void setSteelWorks(SteelWorksBean steelWorks) {
        this.steelWorks = steelWorks;
    }

    public Object getDelete() {
        return delete;
    }

    public void setDelete(Object delete) {
        this.delete = delete;
    }

    public List<SteelFurnListBean> getSteelFurnList() {
        return steelFurnList;
    }

    public void setSteelFurnList(List<SteelFurnListBean> steelFurnList) {
        this.steelFurnList = steelFurnList;
    }

    public List<SteelRefFurnListBean> getSteelRefFurnList() {
        return steelRefFurnList;
    }

    public void setSteelRefFurnList(List<SteelRefFurnListBean> steelRefFurnList) {
        this.steelRefFurnList = steelRefFurnList;
    }

    public List<SteelLadleListBean> getSteelLadleList() {
        return steelLadleList;
    }

    public void setSteelLadleList(List<SteelLadleListBean> steelLadleList) {
        this.steelLadleList = steelLadleList;
    }

    public static class SteelWorksBean {
        /**
         * id : 17
         * createDateTime : 1585721646000
         * updateDateTime : 1587459925000
         * steelmakingWorksCode : lgc1
         * steelmakingWorksName : Liangan7
         * annualOutput : 1111777
         * steelGrade : 88888777
         * createUserId : 398c852b38e911ea8334fa163e1166bd
         * createUserName : null
         * updateUserId : 398c852b38e911ea8334fa163e1166bd
         * updateUserName : hello
         * remark : null
         * customerUserCode : KN00185
         * delete : false
         */

        private String id;
        private Long createDateTime;
        private Long updateDateTime;
        private String steelmakingWorksCode;
        private String steelmakingWorksName;
        private String annualOutput;
        private String steelGrade;
        private String createUserId;
        private Object createUserName;
        private String updateUserId;
        private String updateUserName;
        private Object remark;
        private String customerUserCode;
        private Boolean delete;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public Long getCreateDateTime() {
            return createDateTime;
        }

        public void setCreateDateTime(Long createDateTime) {
            this.createDateTime = createDateTime;
        }

        public Long getUpdateDateTime() {
            return updateDateTime;
        }

        public void setUpdateDateTime(Long updateDateTime) {
            this.updateDateTime = updateDateTime;
        }

        public String getSteelmakingWorksCode() {
            return steelmakingWorksCode;
        }

        public void setSteelmakingWorksCode(String steelmakingWorksCode) {
            this.steelmakingWorksCode = steelmakingWorksCode;
        }

        public String getSteelmakingWorksName() {
            return steelmakingWorksName;
        }

        public void setSteelmakingWorksName(String steelmakingWorksName) {
            this.steelmakingWorksName = steelmakingWorksName;
        }

        public String getAnnualOutput() {
            return annualOutput;
        }

        public void setAnnualOutput(String annualOutput) {
            this.annualOutput = annualOutput;
        }

        public String getSteelGrade() {
            return steelGrade;
        }

        public void setSteelGrade(String steelGrade) {
            this.steelGrade = steelGrade;
        }

        public String getCreateUserId() {
            return createUserId;
        }

        public void setCreateUserId(String createUserId) {
            this.createUserId = createUserId;
        }

        public Object getCreateUserName() {
            return createUserName;
        }

        public void setCreateUserName(Object createUserName) {
            this.createUserName = createUserName;
        }

        public String getUpdateUserId() {
            return updateUserId;
        }

        public void setUpdateUserId(String updateUserId) {
            this.updateUserId = updateUserId;
        }

        public String getUpdateUserName() {
            return updateUserName;
        }

        public void setUpdateUserName(String updateUserName) {
            this.updateUserName = updateUserName;
        }

        public Object getRemark() {
            return remark;
        }

        public void setRemark(Object remark) {
            this.remark = remark;
        }

        public String getCustomerUserCode() {
            return customerUserCode;
        }

        public void setCustomerUserCode(String customerUserCode) {
            this.customerUserCode = customerUserCode;
        }

        public Boolean isDelete() {
            return delete;
        }

        public void setDelete(Boolean delete) {
            this.delete = delete;
        }
    }

    public static class SteelFurnListBean {
        /**
         * id : 18
         * isDelete : null
         * createDateTime : 1585721646000
         * updateDateTime : 1587459925000
         * steelmakingFurnaceCode : lgl1
         * steelmakingWorksCode : lgc1
         * steelmakingWorksName : 炼钢厂1
         * type : 888877777
         * capacity : 888777
         * createUserId : 398c852b38e911ea8334fa163e1166bd
         * createUserName : null
         * updateUserId : 398c852b38e911ea8334fa163e1166bd
         * updateUserName : hello
         * remark : null
         * delete : null
         */

        private String id;
        private Object isDelete;
        private Long createDateTime;
        private Long updateDateTime;
        private String steelmakingFurnaceCode;
        private String steelmakingWorksCode;
        private String steelmakingWorksName;
        private String type;
        private String capacity;
        private String createUserId;
        private Object createUserName;
        private String updateUserId;
        private String updateUserName;
        private Object remark;
        private Object delete;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public Object getIsDelete() {
            return isDelete;
        }

        public void setIsDelete(Object isDelete) {
            this.isDelete = isDelete;
        }

        public Long getCreateDateTime() {
            return createDateTime;
        }

        public void setCreateDateTime(Long createDateTime) {
            this.createDateTime = createDateTime;
        }

        public Long getUpdateDateTime() {
            return updateDateTime;
        }

        public void setUpdateDateTime(Long updateDateTime) {
            this.updateDateTime = updateDateTime;
        }

        public String getSteelmakingFurnaceCode() {
            return steelmakingFurnaceCode;
        }

        public void setSteelmakingFurnaceCode(String steelmakingFurnaceCode) {
            this.steelmakingFurnaceCode = steelmakingFurnaceCode;
        }

        public String getSteelmakingWorksCode() {
            return steelmakingWorksCode;
        }

        public void setSteelmakingWorksCode(String steelmakingWorksCode) {
            this.steelmakingWorksCode = steelmakingWorksCode;
        }

        public String getSteelmakingWorksName() {
            return steelmakingWorksName;
        }

        public void setSteelmakingWorksName(String steelmakingWorksName) {
            this.steelmakingWorksName = steelmakingWorksName;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public String getCapacity() {
            return capacity;
        }

        public void setCapacity(String capacity) {
            this.capacity = capacity;
        }

        public String getCreateUserId() {
            return createUserId;
        }

        public void setCreateUserId(String createUserId) {
            this.createUserId = createUserId;
        }

        public Object getCreateUserName() {
            return createUserName;
        }

        public void setCreateUserName(Object createUserName) {
            this.createUserName = createUserName;
        }

        public String getUpdateUserId() {
            return updateUserId;
        }

        public void setUpdateUserId(String updateUserId) {
            this.updateUserId = updateUserId;
        }

        public String getUpdateUserName() {
            return updateUserName;
        }

        public void setUpdateUserName(String updateUserName) {
            this.updateUserName = updateUserName;
        }

        public Object getRemark() {
            return remark;
        }

        public void setRemark(Object remark) {
            this.remark = remark;
        }

        public Object getDelete() {
            return delete;
        }

        public void setDelete(Object delete) {
            this.delete = delete;
        }
    }

    public static class SteelRefFurnListBean {
        /**
         * id : 18
         * isDelete : null
         * createDateTime : 1585721646000
         * updateDateTime : 1587459925000
         * refiningFurnaceCode : jlu1
         * steelmakingWorksCode : lgc1
         * steelmakingWorksName : 炼钢厂1
         * modelNumber : 55566777
         * tablesNumber : 888777
         * calciumTreatmentSituation : 888777
         * createUserId : 398c852b38e911ea8334fa163e1166bd
         * createUserName : null
         * updateUserId : 398c852b38e911ea8334fa163e1166bd
         * updateUserName : hello
         * remark : null
         * delete : null
         */

        private String id;
        private Object isDelete;
        private Long createDateTime;
        private Long updateDateTime;
        private String refiningFurnaceCode;
        private String steelmakingWorksCode;
        private String steelmakingWorksName;
        private String modelNumber;
        private String tablesNumber;
        private String calciumTreatmentSituation;
        private String createUserId;
        private Object createUserName;
        private String updateUserId;
        private String updateUserName;
        private Object remark;
        private Object delete;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public Object getIsDelete() {
            return isDelete;
        }

        public void setIsDelete(Object isDelete) {
            this.isDelete = isDelete;
        }

        public Long getCreateDateTime() {
            return createDateTime;
        }

        public void setCreateDateTime(Long createDateTime) {
            this.createDateTime = createDateTime;
        }

        public Long getUpdateDateTime() {
            return updateDateTime;
        }

        public void setUpdateDateTime(Long updateDateTime) {
            this.updateDateTime = updateDateTime;
        }

        public String getRefiningFurnaceCode() {
            return refiningFurnaceCode;
        }

        public void setRefiningFurnaceCode(String refiningFurnaceCode) {
            this.refiningFurnaceCode = refiningFurnaceCode;
        }

        public String getSteelmakingWorksCode() {
            return steelmakingWorksCode;
        }

        public void setSteelmakingWorksCode(String steelmakingWorksCode) {
            this.steelmakingWorksCode = steelmakingWorksCode;
        }

        public String getSteelmakingWorksName() {
            return steelmakingWorksName;
        }

        public void setSteelmakingWorksName(String steelmakingWorksName) {
            this.steelmakingWorksName = steelmakingWorksName;
        }

        public String getModelNumber() {
            return modelNumber;
        }

        public void setModelNumber(String modelNumber) {
            this.modelNumber = modelNumber;
        }

        public String getTablesNumber() {
            return tablesNumber;
        }

        public void setTablesNumber(String tablesNumber) {
            this.tablesNumber = tablesNumber;
        }

        public String getCalciumTreatmentSituation() {
            return calciumTreatmentSituation;
        }

        public void setCalciumTreatmentSituation(String calciumTreatmentSituation) {
            this.calciumTreatmentSituation = calciumTreatmentSituation;
        }

        public String getCreateUserId() {
            return createUserId;
        }

        public void setCreateUserId(String createUserId) {
            this.createUserId = createUserId;
        }

        public Object getCreateUserName() {
            return createUserName;
        }

        public void setCreateUserName(Object createUserName) {
            this.createUserName = createUserName;
        }

        public String getUpdateUserId() {
            return updateUserId;
        }

        public void setUpdateUserId(String updateUserId) {
            this.updateUserId = updateUserId;
        }

        public String getUpdateUserName() {
            return updateUserName;
        }

        public void setUpdateUserName(String updateUserName) {
            this.updateUserName = updateUserName;
        }

        public Object getRemark() {
            return remark;
        }

        public void setRemark(Object remark) {
            this.remark = remark;
        }

        public Object getDelete() {
            return delete;
        }

        public void setDelete(Object delete) {
            this.delete = delete;
        }
    }

    public static class SteelLadleListBean {
        /**
         * id : 17
         * createDateTime : 1585721647000
         * updateDateTime : 1587459925000
         * ladleCode : gb1
         * steelmakingWorksCode : lgc1
         * steelmakingWorksName : 炼钢厂1
         * capacity : 121277
         * temperatureRange : 141477
         * castingDateTime : 1515777
         * createUserId : 398c852b38e911ea8334fa163e1166bd
         * createUserName : null
         * updateUserId : 398c852b38e911ea8334fa163e1166bd
         * updateUserName : hello
         * remark : null
         * delete : false
         */

        private String id;
        private Long createDateTime;
        private Long updateDateTime;
        private String ladleCode;
        private String steelmakingWorksCode;
        private String steelmakingWorksName;
        private String capacity;
        private String temperatureRange;
        private String castingDateTime;
        private String createUserId;
        private Object createUserName;
        private String updateUserId;
        private String updateUserName;
        private Object remark;
        private Boolean delete;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public Long getCreateDateTime() {
            return createDateTime;
        }

        public void setCreateDateTime(Long createDateTime) {
            this.createDateTime = createDateTime;
        }

        public Long getUpdateDateTime() {
            return updateDateTime;
        }

        public void setUpdateDateTime(Long updateDateTime) {
            this.updateDateTime = updateDateTime;
        }

        public String getLadleCode() {
            return ladleCode;
        }

        public void setLadleCode(String ladleCode) {
            this.ladleCode = ladleCode;
        }

        public String getSteelmakingWorksCode() {
            return steelmakingWorksCode;
        }

        public void setSteelmakingWorksCode(String steelmakingWorksCode) {
            this.steelmakingWorksCode = steelmakingWorksCode;
        }

        public String getSteelmakingWorksName() {
            return steelmakingWorksName;
        }

        public void setSteelmakingWorksName(String steelmakingWorksName) {
            this.steelmakingWorksName = steelmakingWorksName;
        }

        public String getCapacity() {
            return capacity;
        }

        public void setCapacity(String capacity) {
            this.capacity = capacity;
        }

        public String getTemperatureRange() {
            return temperatureRange;
        }

        public void setTemperatureRange(String temperatureRange) {
            this.temperatureRange = temperatureRange;
        }

        public String getCastingDateTime() {
            return castingDateTime;
        }

        public void setCastingDateTime(String castingDateTime) {
            this.castingDateTime = castingDateTime;
        }

        public String getCreateUserId() {
            return createUserId;
        }

        public void setCreateUserId(String createUserId) {
            this.createUserId = createUserId;
        }

        public Object getCreateUserName() {
            return createUserName;
        }

        public void setCreateUserName(Object createUserName) {
            this.createUserName = createUserName;
        }

        public String getUpdateUserId() {
            return updateUserId;
        }

        public void setUpdateUserId(String updateUserId) {
            this.updateUserId = updateUserId;
        }

        public String getUpdateUserName() {
            return updateUserName;
        }

        public void setUpdateUserName(String updateUserName) {
            this.updateUserName = updateUserName;
        }

        public Object getRemark() {
            return remark;
        }

        public void setRemark(Object remark) {
            this.remark = remark;
        }

        public Boolean isDelete() {
            return delete;
        }

        public void setDelete(Boolean delete) {
            this.delete = delete;
        }
    }
}
